<?php
session_start();

   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
	 extract($_POST);
	 
	 function tipop($mes){


	   switch($mes) 



				{

					case '1': $mesletra="De L&iacute;nea"; break;

					case '2': $mesletra="Papeler&iacute;a"; break;

					case '3': $mesletra="Inscripci&oacute;n"; break;

					case '4': $mesletra="Oculto";  break;

				

				}	

	return $mesletra;}
	 if($lista2!="Agregar Producto"){
	echo"<center><br><br><font size=\"+3\"><b>Agregar Nuevo Producto</b></font><br><br><br>
	<form name=\"Agrega2\" action=\"agregaprod.php\" method=\"post\">
	<table border=\"\" bgcolor=\"#c3dfed\">
	
	<tr><td><b>Descripci&oacute;n</b></td><td><input type=\"text\" name=\"producto\" value=\"\"></td></tr>
	<tr><td><b>Precio</b></td><td><input type=\"text\" name=\"precio\" value=\"\"></td></tr>
	<tr><td><b>Puntos</b></td><td><input type=\"text\" name=\"puntos\" value=\"\"></td></tr>
		<tr><td><b>Peso</b></td><td><input type=\"text\" name=\"peso\" value=\"\"></td></tr>
	<tr><td><b>Tipo</b></td><td> <select name='cdent'>
	
  <option value='1'>Producto de linea</option>
  <option value='2'>Papeleria</option>
  <option value='3'>Inscripcion</option>
  <option value='4'>Producto oculto</option>
  </select></td></tr>
	</table><input type=hidden name=idprod value=$a0 />
	<br><input type=\"submit\" name=\"lista2\"  value=\"Agregar Producto\" /></form>
	
 
  </center>";
  }
else {
	
	
	if(is_numeric($precio) && is_numeric($puntos) && $producto!=null){
		
			 $eltipo=tipop($cdent); 
echo"<center><br><br>Los datos capturados son los siguientes:<br><br>
Descripci&oacute;n del Producto: <b>$producto</b><br><br>
Precio del Producto: <b>$precio</b><br><br>
Puntos a generar en Sistema: <b>$puntos</b><br><br>
Peso(g): <b>$peso</b><br><br>
Tipo de Producto: <b>$eltipo</b><br><br>
<form name=\"Agrega3\" action=\"agregaprod2.php\" method=\"post\">
<input type=hidden name=pro value=$producto />
<input type=hidden name=pre value=$precio />
<input type=hidden name=pun value=$puntos />
<input type=hidden name=tipop value=$cdent />
<input type=hidden name=pes value=$peso />
<input type=\"submit\" name=\"lista2\"  value=\"Dar de alta producto en sistema\" /></form>
";	}
else { echo"Existe un Error en la Captura<br>Favor de Intentar nuevamente";
}

}

?>